Avast WEBforum

Other => General Topics => Topic started by: SpeedyPC on November 09, 2011, 04:42:14 AM

Title: Please confirm on Firefox v8.0 and maybe v7.0.1
Post by: SpeedyPC on November 09, 2011, 04:42:14 AM
I've updated my Firefox browser from v7.0.1 to v8.0 today and I didn't noticed that Java doesn't support the latest Firefox browser, my latest Java version is SE Version 6 Update 29 and it still doesn't FF does anybody have any idea why ???

Edit: I've also checked and I didn't realised Java wasn't support the Firefox browser since back from v6.0 to v8.0, has Firefox decided to give up Java in their browser software.

Edit again: I wasn't aware about this "Firefox devs mull dumping Java to stop BEAST attacks" http://www.theregister.co.uk/2011/09/29/firefox_killing_java/
Title: Re: Please confirm on Firefox v8.0 and maybe v7.0.1
Post by: TedNelly on November 09, 2011, 06:09:03 AM
Hi Speedy

I have been using FF8 for some time now and there is a Jave update that works fine.

Here is a link to Java Update
Major Geeks
http://majorgeeks.com/download.php?det=4648 (http://majorgeeks.com/download.php?det=4648)
Title: Re: Please confirm on Firefox v8.0 and maybe v7.0.1
Post by: SpeedyPC on November 09, 2011, 06:45:46 AM
Thanks Tednelly I'll check this out I wasn't aware about Java v7.0 been release ;)

Edit: I've update the latest Java SE Version 7 Update 1, and it still incompatible with Firefox v8.0 in the add-ons manager section and I do have the Add-on Compatibility Reporter v0.9.2 in FF.
Title: Re: Please confirm on Firefox v8.0 and maybe v7.0.1
Post by: DavidR on November 09, 2011, 01:18:40 PM
I think you mean the JAVA Console as the actual plug-ins appear to work. The console isn't a critical element.

I know in FF7 id did get the JAVA console working by editing the install.rdf file to change the maxversion to 7.*

I'm going to try that again making tweaks to reference firefox 8.0.0 this may or may not work.
Title: Re: Please confirm on Firefox v8.0 and maybe v7.0.1
Post by: DavidR on November 09, 2011, 01:31:27 PM
OK, that worked, but the first underlined entry in the install.rdf file probably doesn't have to be changed as it just reports that I have JAVA Console 8.0 not 7.0.01 which it is (I thought that a reference to firefox not the JAVA Console version).

OK Checked that on my other system and changes to the first line aren't required and it will report the correct version of JAVA Console (not 8.0 as in my image).
Title: Re: Please confirm on Firefox v8.0 and maybe v7.0.1
Post by: SpeedyPC on November 09, 2011, 04:33:23 PM
DavidR if I had a chance to meet you I'll buy you a drink, you are my holy grail to the problem if I had a chance to :-* you.

I edited the file to allow Java to work correctly with FF v8.0 as you did already, for smart arse pommy I'll let you keep the cricket ashes for the next game ;)
Title: Re: Please confirm on Firefox v8.0 and maybe v7.0.1
Post by: DavidR on November 09, 2011, 04:42:20 PM
No problem (I'll pass on the :-*)
JAVA will still work OK even without the console, it is just handy if that is available should you need it; I can't recall the last time I used it though.
Title: Re: Please confirm on Firefox v8.0 and maybe v7.0.1
Post by: SpeedyPC on November 09, 2011, 04:51:09 PM
I'm also very concern that Java is fallen so far behind on FF, unless their a reason for security add-ons problems
Title: Re: Please confirm on Firefox v8.0 and maybe v7.0.1
Post by: DavidR on November 09, 2011, 05:02:35 PM
The JAVA plugins work without issue as far as I'm aware it was just JAVA Console, as I keep banging on isn't really an essential firefox add-on (totally different from a plug-in) and has no security connection.
Title: Re: Please confirm on Firefox v8.0 and maybe v7.0.1
Post by: SpeedyPC on November 09, 2011, 05:08:32 PM
You are 100% right as you said and I'm glad we speak the same problem, as we both bang as heads to the brick wall that JAVA Console is still not required. But at the end of the day we still ask one word only is "Why" add a different plug-in for FF ???
Title: Re: Please confirm on Firefox v8.0 and maybe v7.0.1
Post by: jadinolf on November 10, 2011, 12:58:29 AM
Updated 5 computers this morning.

Everything seems fine.